#!/usr/bin/perl -w

use lib "./lib";
use DBI;

#USTAWIENIA BAZY DANYCH
my $DB_host = "localhost"; #adres
my $DB_port = "3306"; #port
my $DB_user = "user"; #uzytkownik
my $DB_pass = "password"; #haslo uzytkownika
my $DB_name = "dbname"; #nazwa bazy
my $DB_table = "hlds_dema"; #nazwa tabeli
my $DB_type = "mysql";

my $DBh = DBI->connect("DBI:$DB_type:$DB_name:$DB_host:$DB_port", $DB_user, $DB_pass) or
  die "error #01 :: NIE MOZNA PODLACZYC DO BAZY";

my $querry = $DBh->prepare("CREATE TABLE IF NOT EXISTS `".$DB_table."` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server` int(11) NOT NULL,
  `file_name` text NOT NULL,
  `map` text NOT NULL,
  `demo_data` int(11) NOT NULL,
  `file_data` int(11) NOT NULL,
  `file_size` int(11) NOT NULL DEFAULT '0',
  `downloaded` int(11) NOT NULL,
  `data_hour` text NOT NULL,
  `data_day` int(11) NOT NULL,
  `data_month` int(11) NOT NULL,
  `data_year` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");
$querry->execute() or die "error #01 :: NIE MOZNA WYKONAC ZAPYTANIA";

print "Instalacja zakonczona powodzeniem\n";